/**
 * My Title
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.ColumnKind
import io.swagger.client.models.DateFilter
import io.swagger.client.models.NumberFilter
import io.swagger.client.models.RelationFilter
import io.swagger.client.models.TextFilter

/**
 * 
 * @param readableName 
 * @param codeName 
 * @param kind 
 * @param textFilter 
 * @param numberFilter 
 * @param dateFilter 
 * @param relationFilter 
 */
data class ValueFilter (

    val readableName: kotlin.String,
    val codeName: kotlin.String,
    val kind: ColumnKind,
    val textFilter: TextFilter? = null,
    val numberFilter: NumberFilter? = null,
    val dateFilter: DateFilter? = null,
    val relationFilter: RelationFilter? = null
) {
}